Package org.h2gis.functions.spatial.metadata

## Class FindGeometryMetadata

- java.lang.Object
- - org.h2gis.api.AbstractFunction
  - - org.h2gis.api.DeterministicScalarFunction
    - - org.h2gis.functions.spatial.metadata.FindGeometryMetadata

All Implemented Interfaces:
  `org.h2gis.api.Function`, `org.h2gis.api.ScalarFunction`

    public class FindGeometryMetadata
    extends org.h2gis.api.DeterministicScalarFunction

### Field Summary

### Fields inherited from interface org.h2gis.api.Function

`PROP_NAME, PROP_REMARKS`

### Fields inherited from interface org.h2gis.api.ScalarFunction

`PROP_DETERMINISTIC`

### Constructor Summary

Constructors
`FindGeometryMetadata()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static String[]` `extractMetadata​(Connection connection, String catalogName, String schemaName, String tableName, String columnName, String data_type, String geometry_type, String srid)` Extract the geometry metadata from its OGC signature Examples: POINT POINT Z POINT ZM
`String` `getJavaStaticMethod()`

### Methods inherited from class org.h2gis.api.AbstractFunction

`addProperty, getProperty, removeProperty`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.h2gis.api.Function

`getProperty`

### Constructor Detail

#### FindGeometryMetadata

    public FindGeometryMetadata()

### Method Detail

#### getJavaStaticMethod

    public String getJavaStaticMethod()

#### extractMetadata

    public static String[] extractMetadata​(Connection connection,
                                           String catalogName,
                                           String schemaName,
                                           String tableName,
                                           String columnName,
                                           String data_type,
                                           String geometry_type,
                                           String srid)
                                    throws SQLException

Extract the geometry metadata from its OGC signature Examples: POINT POINT Z POINT ZM

Returns:
  an array of values with the following values order values[0] = GEOMETRY_TYPE values[1] = COORD_DIMENSION values[2] = SRID values[3] = SFS TYPE
Throws:
  `SQLException` - Exception get on executing wrong SQL query.